## interimap 0.4

=== Makefile ===
all: pullimap.1 interimap.1

# upper case the headers and remove the links
%.1: %.md
	@pandoc -f markdown -t json "$<" | \
	jq "                                                                        \
	    def fixheaders:                                                         \
	        if .t == \"Header\" then                                            \
	            .c[2][] |= (if .t == \"Str\" then .c |= ascii_upcase else . end)\
	        else                                                                \
	            .                                                               \
	        end;                                                                \
	    def fixlinks:                                                           \
	        if type == \"object\" then                                          \
	            if .t == \"Link\" then                                          \
	                if .c[2][0][0:7] == \"mailto:\" then . else .c[1][] end     \
	            else                                                            \
	                map_values(fixlinks)                                        \
	            end                                                             \
	        else if type == \"array\" then                                      \
	                map(fixlinks)                                               \
	            else                                                            \
	                .                                                           \
	            end                                                             \
	        end;                                                                \
	    { \"pandoc-api-version\"                                                \
	    , meta                                                                  \
	    , blocks: .blocks | map(fixheaders) | map(fixlinks)                     \
	    }" | \
	pandoc -s -f json -t man+smart -o "$@"

install:

clean:
	rm -f pullimap.1 interimap.1

.PHONY: all install clean

=== debian/changelog ===
interimap (0.4-1) unstable; urgency=low

  * Initial release.  Closes: #919904, #919906, #919908.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 20 Jan 2019 21:25:54 +0100

=== debian/control ===
Source: interimap
Section: mail
Priority: optional
Maintainer: Guilhem Moulin <guilhem@debian.org>
Build-Depends: debhelper (>= 11~), jq, pandoc (>= 2.1~)
Standards-Version: 4.3.0
Vcs-Git: https://git.guilhem.org/interimap
Vcs-Browser: https://git.guilhem.org/interimap

Package: interimap
Architecture: all
Depends: libdbd-sqlite3-perl,
         libdbi-perl,
         libinterimap (>= ${source:Upstream-Version}~),
         ${misc:Depends},
         ${perl:Depends}
Description: Fast bidirectional synchronization for QRESYNC-capable IMAP servers
 InterIMAP performs stateful bi-directional synchronization between two
 IMAP4rev1 servers.  Compared to the so-called "full" synchronization
 solutions, InterIMAP is both much faster and parsimonious in network
 traffic.
 .
 Stateful synchronization is made possible by the QRESYNC extension from
 [RFC7162]; for convenience reasons servers must also support LIST-EXTENDED
 [RFC5258], LIST-STATUS [RFC5819] and UIDPLUS [RFC4315].
 .
 Furthermore, while InterIMAP can work with servers lacking support for
 LITERAL+ [RFC2088] and MULTIAPPEND [RFC3502], these extensions greatly
 improve performance by reducing the number of required round trips and it
 thus strongly recommended to use a server supporting these.
 .
 InterIMAP supports the COMPRESS=DEFLATE extension from [RFC4978].  It is
 enabled by default on remote servers advertising it, in order to reduce
 network traffic, especially for long-lived connections.

Package: pullimap
Architecture: all
Depends: libinterimap (>= ${source:Upstream-Version}~),
         ${misc:Depends},
         ${perl:Depends}
Description: Pull mails from an IMAP mailbox and deliver them via SMTP or LMTP
 PullIMAP retrieves messages from an IMAP mailbox and deliver them to an
 SMTP or LMTP transmission channel.  It can also remove old messages after
 a configurable retention period.
 .
 A statefile is used to keep track of the mailbox's UIDVALIDITY and UIDNEXT
 values.  While PullIMAP is running, the statefile is also used to keep
 track of UIDs being delivered, which avoids duplicate deliveries if the
 process is interrupted.
 .
 PullIMAP supports the COMPRESS=DEFLATE extension from [RFC4978].  It is
 enabled by default on servers advertising it, in order to reduce network
 traffic, especially for long-lived connections (when IDLE commands are
 enabled.)

Package: libinterimap
Architecture: all
Depends: libconfig-tiny-perl,
         libnet-ssleay-perl (>=1.73-1),
         ${misc:Depends},
         ${perl:Depends}
Description: Net::IMAP::InterIMAP library and utils
 Net::IMAP::InterIMAP is a minimal IMAP4rev1 client for QRESYNC-capable
 servers, used by interimap.  It can also be used with non QRESYNC-capable
 servers, but doing so can be unsafe as the client does not store any
 in-session mapping between message sequence numbers and UIDs.

## interimap 0.5

=== Makefile ===
all: manual

MANUALS = $(patsubst %.md,%,$(wildcard ./doc/*.[1-9].md))
manual: $(MANUALS)

# upper case the headers and remove the links
$(MANUALS): %: %.md
	pandoc -f markdown -t json -- "$<" | ./pandoc2man.jq | pandoc -s -f json -t man+smart -o "$@"

test:
	@./tests/run-all

HTML_ROOTDIR ?= ./doc
CSS ?= /usr/share/javascript/bootstrap/css/bootstrap.min.css
HTML_TEMPLATE ?= ./doc/template.html

HTML_FILES = $(addprefix $(HTML_ROOTDIR)/,$(patsubst ./doc/%.md,%.html,$(wildcard ./doc/*.md)))
html: $(HTML_FILES)

## CSS="https://guilhem.org/static/css/bootstrap.min.css" HTML_ROOTDIR="$XDG_RUNTIME_DIR/Downloads" make html
$(HTML_ROOTDIR)/%.html: ./doc/%.md $(HTML_TEMPLATE)
	mtime="$$(git --no-pager log -1 --pretty="format:%ct" -- "$<" 2>/dev/null)"; \
	[ -n "$$mtime" ] || mtime="$$(date +%s -r "$<")"; \
	[ "$<" = "doc/index.md" ] && parent="" || parent="./index.html"; \
	pandoc -sp -f markdown -t html+smart --css=$(CSS) --template=$(HTML_TEMPLATE) \
		--variable=date:"$$(LC_TIME=C date +"Last modified on %a, %d %b %Y at %T %z" -d @"$$mtime")" \
		--variable=keywords:"interimap" \
		--variable=lang:"en" \
		--variable=parent:"$$parent" \
		--output="$@" -- "$<"

doc: manual html

install:

clean:
	rm -f $(MANUALS) $(HTML_FILES)

.PHONY: all manual html doc test install clean

=== debian/changelog ===
interimap (0.5-1) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.5.0 (no changes necessary).
  * d/patches: Remove patches applied upstream.
  * d/patches: Avoid running randomized tests on the build daemons.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 29 Jan 2020 13:22:16 +0100

interimap (0.5~rc-2) experimental; urgency=low

  * Apply patches from master to make the test suite pass on the buildds.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 15 Dec 2019 03:44:27 +0100

interimap (0.5~rc-1) experimental; urgency=low

  * New upstream release.  Closes: #942725, #944812, #944859.
  * debian/control:
    + New Build-Depends for the test-suite: dovecot-imapd, dovecot-lmtpd,
      libconfig-tiny-perl, libdbd-sqlite3-perl, libnet-ssleay-perl, openssl,
      procps, sqlite3, and xxd.
    + interimap: no longer depends on 'libdbi-perl' (pulled by DBD::SQLite).
    + interimap: now suggests dovecot-imapd.
    + Bump debhelper compatibility level to 12 and set debhelper-compat
      version in Build-Depends.
    + Add Homepage field, pointing to https://guilhem.org/interimap .
    + Bump Standards-Version to 4.4.1 (no changes necessary).
    + Set 'Rules-Requires-Root: no'.
  * Rename debian/source.lintian-overrides to debian/source/lintian-overrides.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 14 Dec 2019 19:41:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,31 @@
 Section: mail
 Priority: optional
 Maintainer: Guilhem Moulin <guilhem@debian.org>
-Build-Depends: debhelper (>= 11~), jq, pandoc (>= 2.1~)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
+               dovecot-imapd (>= 2~),
+               dovecot-lmtpd (>= 2~),
+               jq,
+               libconfig-tiny-perl,
+               libdbd-sqlite3-perl,
+               libnet-ssleay-perl (>= 1.73~),
+               openssl,
+               pandoc (>= 2.1~),
+               procps,
+               sqlite3,
+               xxd
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Homepage: https://guilhem.org/interimap
 Vcs-Git: https://git.guilhem.org/interimap
 Vcs-Browser: https://git.guilhem.org/interimap
 
 Package: interimap
 Architecture: all
 Depends: libdbd-sqlite3-perl,
-         libdbi-perl,
          libinterimap (>= ${source:Upstream-Version}~),
          ${misc:Depends},
          ${perl:Depends}
+Suggests: dovecot-imapd (>= 2~)
 Description: Fast bidirectional synchronization for QRESYNC-capable IMAP servers
  InterIMAP performs stateful bi-directional synchronization between two
  IMAP4rev1 servers.  Compared to the so-called "full" synchronization
@@ -56,7 +69,7 @@
 Package: libinterimap
 Architecture: all
 Depends: libconfig-tiny-perl,
-         libnet-ssleay-perl (>=1.73-1),
+         libnet-ssleay-perl (>= 1.73~),
          ${misc:Depends},
          ${perl:Depends}
 Description: Net::IMAP::InterIMAP library and utils

## interimap 0.5.2

=== Makefile ===
DESTDIR ?= /usr/local
BUILD_DOCDIR ?= ./doc
CSS ?= /usr/share/javascript/bootstrap4/css/bootstrap.css
HTML_TEMPLATE ?= ./doc/template.html

HTML_FILES = $(addprefix $(BUILD_DOCDIR)/,$(patsubst ./doc/%.md,%.html,$(wildcard ./doc/*.md)))
MANUAL_FILES = $(addprefix $(BUILD_DOCDIR)/,$(patsubst ./doc/%.md,%,$(wildcard ./doc/*.[1-9].md)))

all: manual

manual: $(MANUAL_FILES)
html: $(HTML_FILES)

# upper case the headers and remove the links
$(MANUAL_FILES): $(BUILD_DOCDIR)/%: ./doc/%.md
	pandoc -f markdown -t json -- "$<" | ./pandoc2man.jq | pandoc -s -f json -t man -o "$@"

test:
	@./tests/run-all

## make html CSS="https://guilhem.org/static/css/bootstrap.min.css" BUILD_DOCDIR="$XDG_RUNTIME_DIR/Downloads"
$(HTML_FILES): $(BUILD_DOCDIR)/%.html: ./doc/%.md $(HTML_TEMPLATE)
	mtime="$$(git --no-pager log -1 --pretty="format:%ct" -- "$<" 2>/dev/null)"; \
	[ -n "$$mtime" ] || mtime="$$(date +%s -r "$<")"; \
	[ "$<" = "doc/index.md" ] && parent="" || parent="./index.html"; \
	pandoc -sp -f markdown -t html+smart --css=$(CSS) --template=$(HTML_TEMPLATE) \
		--variable=date:"$$(LC_TIME=C date +"Last modified on %a, %d %b %Y at %T %z" -d @"$$mtime")" \
		--variable=keywords:"interimap" \
		--variable=lang:"en" \
		--variable=parent:"$$parent" \
		--output="$@" -- "$<"

doc: manual html

prefix ?= $(DESTDIR)
exec_prefix ?= $(prefix)
bindir ?= $(exec_prefix)/bin
libdir ?= $(exec_prefix)/lib
datarootdir ?= $(DESTDIR)/share
mandir ?= $(datarootdir)/man
man1dir ?= $(mandir)/man1

install: all
	install -m0755 -vDt $(bindir) ./interimap ./pullimap
	install -m0644 -vDT ./lib/Net/IMAP/InterIMAP.pm $(datarootdir)/perl5/Net/IMAP/InterIMAP.pm
	install -m0644 -vDt $(man1dir) $(BUILD_DOCDIR)/interimap.1 $(BUILD_DOCDIR)/pullimap.1
	install -m0644 -vDt $(datarootdir)/doc/pullimap ./pullimap.sample
	install -m0644 -vDt $(datarootdir)/doc/interimap ./interimap.sample ./doc/getting-started.md ./doc/multi-account.md README
	install -m0644 -vDt $(libdir)/systemd/user ./*.service

uninstall:
	rm -vf -- $(bindir)/interimap $(man1dir)/interimap.1 $(libdir)/systemd/user/interimap*.service
	rm -vf -- $(bindir)/pullimap $(man1dir)/pullimap.1 $(libdir)/systemd/user/pullimap*.service
	rm -vf -- $(datarootdir)/perl5/Net/IMAP/InterIMAP.pm
	rm -rvf -- $(datarootdir)/doc/interimap $(datarootdir)/doc/pullimap
	rm -vf -- $(BUILD_DOCDIR)/interimap.1 $(BUILD_DOCDIR)/pullimap.1

clean:
	rm -vf -- $(MANUAL_FILES) $(HTML_FILES)

.PHONY: all manual html doc test install uninstall clean

=== debian/changelog ===
interimap (0.5.2-1) unstable; urgency=medium

  * New upstream release.  Closes: #966937.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 03 Aug 2020 20:56:37 +0200

interimap (0.5.1-2) unstable; urgency=medium

  * d/rules: Pass '--no-enable' to dh_installsystemduser(1).  Not enabling the
    units on install makes sense as interimap resp. pullimap will refuse to
    create the database when started with '--watch=' resp. '--idle='.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 05 Jul 2020 23:49:56 +0200

interimap (0.5.1-1) unstable; urgency=medium

  * d/control: Annotate some Build-Depends with <!nocheck>.
  * d/control: Bump debhelper compatibility level to 13.
  * d/patches/Ignore-custom-lib-PATH.patch: Remove patch, applied upstream.
  * Adapt d/*.docs, d/*.install and d/*.manpages to the current upstream
    Makefile.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 02 Jul 2020 00:16:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: mail
 Priority: optional
 Maintainer: Guilhem Moulin <guilhem@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dovecot-imapd (>= 2~),
-               dovecot-lmtpd (>= 2~),
+Build-Depends: debhelper-compat (= 13),
+               dovecot-imapd (>= 2~) <!nocheck>,
+               dovecot-lmtpd (>= 2~) <!nocheck>,
                jq,
-               libconfig-tiny-perl,
-               libdbd-sqlite3-perl,
-               libnet-ssleay-perl (>= 1.73~),
-               openssl,
+               libconfig-tiny-perl <!nocheck>,
+               libdbd-sqlite3-perl <!nocheck>,
+               libnet-ssleay-perl (>= 1.73~) <!nocheck>,
+               openssl <!nocheck>,
                pandoc (>= 2.1~),
-               procps,
-               sqlite3,
-               xxd
+               procps <!nocheck>,
+               sqlite3 <!nocheck>,
+               xxd <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://guilhem.org/interimap

## interimap 0.5.6

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,26 @@
 	pandoc -f markdown -t json -- "$<" | ./pandoc2man.jq | pandoc -s -f json -t man -o "$@"
 
 test:
-	@./tests/run-all
+	./tests/certs/generate
+	./tests/run-all
+
+release:
+	@if ! git diff HEAD --quiet -- ./Changelog ./interimap ./pullimap ./lib/Net/IMAP/InterIMAP.pm; then \
+		echo "Dirty state, refusing to release!" >&2; \
+		exit 1; \
+	fi
+	VERS=$$(dpkg-parsechangelog -l Changelog -SVersion 2>/dev/null) && \
+		if git rev-parse -q --verify "refs/tags/v$$VERS" >/dev/null; then echo "tag exists" 2>/dev/null; exit 1; fi && \
+		sed -ri "0,/^( -- .*)  .*/ s//\\1  $(shell date -R)/" ./Changelog && \
+		sed -ri "0,/^(our\\s+\\\$$VERSION\\s*=\\s*)'[0-9.]+'\\s*;/ s//\\1'$$VERS';/" \
+			-- ./interimap ./pullimap && \
+		sed -ri "0,/^(package\\s+Net::IMAP::InterIMAP\\s+)v[0-9.]+\\s*;/ s//\\1v$$VERS;/" \
+			-- ./lib/Net/IMAP/InterIMAP.pm && \
+		sed -ri "0,/^(use\\s+Net::IMAP::InterIMAP\\s+)[0-9.]+(\\s|\\$$)/ s//\\1$$VERS\\2/" \
+			-- ./interimap ./pullimap && \
+		git commit -m "Prepare new release v$$VERS." \
+			-- ./Changelog ./interimap ./pullimap ./lib/Net/IMAP/InterIMAP.pm && \
+		git tag -sm "Release version $$VERS" "v$$VERS"
 
 ## make html CSS="https://guilhem.org/static/css/bootstrap.min.css" BUILD_DOCDIR="$XDG_RUNTIME_DIR/Downloads"
 $(HTML_FILES): $(BUILD_DOCDIR)/%.html: ./doc/%.md $(HTML_TEMPLATE)
@@ -36,7 +55,7 @@
 exec_prefix ?= $(prefix)
 bindir ?= $(exec_prefix)/bin
 libdir ?= $(exec_prefix)/lib
-datarootdir ?= $(DESTDIR)/share
+datarootdir ?= $(prefix)/share
 mandir ?= $(datarootdir)/man
 man1dir ?= $(mandir)/man1
 
@@ -58,4 +77,4 @@
 clean:
 	rm -vf -- $(MANUAL_FILES) $(HTML_FILES)
 
-.PHONY: all manual html doc test install uninstall clean
+.PHONY: all manual html doc test release install uninstall clean

=== debian/changelog ===
interimap (0.5.6-1ubuntu1) hirsute; urgency=medium

  * On Ubuntu, to access TLS less than 1.2 one needs to also lower the
    security level to 1. Lower it to zero, because in the future openssl
    release zero will be needed.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 08 Apr 2021 11:46:23 +0100

interimap (0.5.6-1) unstable; urgency=high

  * New upstream bugfix release with the correct minimum Net::SSLeay version.
  * Bump required libnet-ssleay-perl version to 1.88 (next stable upstream
    release after developer release 1.86_06, and also earliest version
    available in Debian).

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 01 Jan 2021 16:20:51 +0100

interimap (0.5.5-1) unstable; urgency=medium

  * New upstream release.  Highlights include:
    + The 'SSL_protocols' option is now deprecated, and replaced by the
      combination of 'SSL_protocol_min' and 'SSL_protocol_max'.
    + Use default locations for trusted CA certificates (respectively
      /etc/ssl/certs/ca-certificates.crt and /etc/ssl/certs on Debian systems)
      when neither CAfile nor CApath are set.
    + SSL/TLS connections now require OpenSSL 1.1.0 or later.
    + New option SSL_ciphersuites to set the TLSv1.3 ciphersuites.
      (SSL_cipherlist only apply to TLSv1.2 and below.)
  * d/control: pin exact libinterimap version in interimap & pullimap's
    depends.  The components are tightly tied together and libinterimap makes
    no promise of API stability.
  * d/control: Bump dovecot-imapd version to >=2.3 in Build-Depends for the
    test suite.
  * d/.gitattributes: New file to merge d/changelog with
    dpkg-mergechangelogs(1).

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 26 Dec 2020 23:57:56 +0100

interimap (0.5.4-1) unstable; urgency=medium

  * New upstream release.  This bumps the minimum libnet-ssleay-perl version
    from 1.73 to 1.83 (and openssl to 1.1.1 in Build-Depends).
  * Really add d/upstream/signing-key.asc, the OpenPGP used to signed upstream
    tags.
  * Add d/watch pointing to the upstream repository.
  * d/gbp.conf: Update upstream tag template.
  * d/gbp.conf: Update debian and upstream branches in compliance with DEP-14.
  * d/control: Point Vcs-* to salsa.
  * Add debian/salsa-ci.yml file.  .test-reprotest is currently run with
    DEB_BUILD_OPTIONS=nocheck.
  * d/rules: Run test suite with TMPDIR=/var/tmp as some systems (such as
    salsa's CI runners) mount /dev/shm with the 'noexec' option.  /var/tmp is
    probably safer in that regard since it's what mkinitramfs(8) defaults to.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 11 Dec 2020 11:48:22 +0100

interimap (0.5.3-1) unstable; urgency=medium

  * New upstream release.  Closes: #968392.
  * d/control: The test suite now requires Dovecot v2.2.31 or later (for
    ssl_alt_cert).
  * Add d/upstream/signing-key.asc, the OpenPGP used to signed upstream tags.
  * d/control: Add missing epoch number on dovecot-* dependencies.
  * d/control: Bump Standards-Version to 4.5.1 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 09 Dec 2020 15:49:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: interimap
 Section: mail
 Priority: optional
-Maintainer: Guilhem Moulin <guilhem@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guilhem Moulin <guilhem@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dovecot-imapd (>= 2~) <!nocheck>,
-               dovecot-lmtpd (>= 2~) <!nocheck>,
+               dovecot-imapd (>= 1:2.3~) <!nocheck>,
+               dovecot-lmtpd (>= 1:2~) <!nocheck>,
                jq,
                libconfig-tiny-perl <!nocheck>,
                libdbd-sqlite3-perl <!nocheck>,
-               libnet-ssleay-perl (>= 1.73~) <!nocheck>,
-               openssl <!nocheck>,
+               libnet-ssleay-perl (>= 1.88~) <!nocheck>,
+               openssl (>= 1.1.1~) <!nocheck>,
                pandoc (>= 2.1~),
                procps <!nocheck>,
                sqlite3 <!nocheck>,
                xxd <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://guilhem.org/interimap
-Vcs-Git: https://git.guilhem.org/interimap
-Vcs-Browser: https://git.guilhem.org/interimap
+Vcs-Git: https://salsa.debian.org/debian/interimap.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/debian/interimap
 
 Package: interimap
 Architecture: all
 Depends: libdbd-sqlite3-perl,
-         libinterimap (>= ${source:Upstream-Version}~),
+         libinterimap (= ${binary:Version}),
          ${misc:Depends},
          ${perl:Depends}
-Suggests: dovecot-imapd (>= 2~)
+Suggests: dovecot-imapd (>= 1:2~)
 Description: Fast bidirectional synchronization for QRESYNC-capable IMAP servers
  InterIMAP performs stateful bi-directional synchronization between two
  IMAP4rev1 servers.  Compared to the so-called "full" synchronization
@@ -48,9 +49,7 @@
 
 Package: pullimap
 Architecture: all
-Depends: libinterimap (>= ${source:Upstream-Version}~),
-         ${misc:Depends},
-         ${perl:Depends}
+Depends: libinterimap (= ${binary:Version}), ${misc:Depends}, ${perl:Depends}
 Description: Pull mails from an IMAP mailbox and deliver them via SMTP or LMTP
  PullIMAP retrieves messages from an IMAP mailbox and deliver them to an
  SMTP or LMTP transmission channel.  It can also remove old messages after
@@ -69,7 +68,7 @@
 Package: libinterimap
 Architecture: all
 Depends: libconfig-tiny-perl,
-         libnet-ssleay-perl (>= 1.73~),
+         libnet-ssleay-perl (>= 1.83~),
          ${misc:Depends},
          ${perl:Depends}
 Description: Net::IMAP::InterIMAP library and utils

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

override_dh_auto_test:
	# /dev/shm, the default, might be mounted with noexec
	dh_auto_test -- TMPDIR=/var/tmp

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://git.guilhem.org/interimap/ refs/tags/v([\d\.]+)

## interimap 0.5.7

=== Makefile ===
srcdir ?= .
builddir ?= build
prefix ?= /usr/local
exec_prefix ?= $(prefix)
bindir ?= $(exec_prefix)/bin
libdir ?= $(exec_prefix)/lib
sitelib ?= $(libdir)/site_perl
datarootdir ?= $(prefix)/share
mandir ?= $(datarootdir)/man
man1dir ?= $(mandir)/man1
systemd_userunitdir ?= $(libdir)/systemd/user

CSS ?= /usr/share/javascript/bootstrap4/css/bootstrap.css
HTML_TEMPLATE ?= $(srcdir)/doc/template.html

PROGRAMS = $(addprefix $(builddir)/,interimap pullimap)
HTML_FILES = $(patsubst $(srcdir)/doc/%.md,$(builddir)/doc/%.html,$(wildcard $(srcdir)/doc/*.md))
MANUAL_FILES = $(patsubst $(srcdir)/doc/%.md,$(builddir)/doc/%,$(wildcard $(srcdir)/doc/*.[1-9].md))
SERVICE_FILES = $(patsubst $(srcdir)/%.service,$(builddir)/%.service,$(wildcard $(srcdir)/*.service))

all: all-nodoc manual
all-nodoc: $(PROGRAMS) $(SERVICE_FILES)

doc: manual html
manual: $(MANUAL_FILES)
html: $(HTML_FILES)

$(PROGRAMS): $(builddir)/%: $(srcdir)/%
	@mkdir -vp $(dir $@)
	perl -Te "print \"\$$_\\0\" foreach @INC;" | grep -Fxzq -e "$(sitelib)" && prefix="#" || prefix=""; \
	sed -r "0,/^(use\\s+\lib\\s+)([\"'])[^\"']*\\2\\s*;/ s||$$prefix\\1\"$(sitelib)\";|" <"$<" >"$@"
	chmod --reference="$<" -- "$@"

# upper case the headers and remove the links
$(MANUAL_FILES): $(builddir)/doc/%: $(srcdir)/doc/%.md
	@mkdir -vp $(dir $@)
	pandoc -f markdown -t json -- "$<" | $(srcdir)/pandoc2man.jq | pandoc -s -f json -t man -o "$@"

$(SERVICE_FILES): $(builddir)/%.service: $(srcdir)/%.service
	@mkdir -vp $(dir $@)
	sed "s|@bindir@|$(bindir)|" <"$<" >"$@"

testcerts:
	$(srcdir)/tests/certs/generate

check: check-interimap check-pullimap
check-interimap: $(builddir)/interimap testcerts
	INTERIMAP_I=$(srcdir)/lib INTERIMAP_PATH=$(builddir) $(srcdir)/tests/run-all interimap.list
check-pullimap: $(builddir)/pullimap testcerts
	INTERIMAP_I=$(srcdir)/lib INTERIMAP_PATH=$(builddir) $(srcdir)/tests/run-all pullimap.list

installcheck: installcheck-interimap installcheck-pullimap
installcheck-interimap: testcerts
	INTERIMAP_I="" INTERIMAP_PATH=$(bindir) $(srcdir)/tests/run-all interimap.list
installcheck-pullimap: testcerts
	INTERIMAP_I="" INTERIMAP_PATH=$(bindir) $(srcdir)/tests/run-all pullimap.list

release:
	@if ! git -C $(srcdir) diff --quiet HEAD -- Changelog interimap pullimap lib/Net/IMAP/InterIMAP.pm; then \
		echo "Dirty state, refusing to release!" >&2; \
		exit 1; \
	fi
	VERS=$$(dpkg-parsechangelog -l $(srcdir)/Changelog -SVersion 2>/dev/null) && \
		if git -C $(srcdir) rev-parse -q --verify "refs/tags/v$$VERS" >/dev/null; then echo "tag exists" 2>/dev/null; exit 1; fi && \
		sed -ri "0,/^( -- .*)  .*/ s//\\1  $(shell date -R)/" $(srcdir)/Changelog && \
		sed -ri "0,/^(our\\s+\\\$$VERSION\\s*=\\s*)'[0-9.]+'\\s*;/ s//\\1'$$VERS';/" \
			-- $(srcdir)/interimap $(srcdir)/pullimap && \
		sed -ri "0,/^(package\\s+Net::IMAP::InterIMAP\\s+)v[0-9.]+\\s*;/ s//\\1v$$VERS;/" \
			-- $(srcdir)/lib/Net/IMAP/InterIMAP.pm && \
		sed -ri "0,/^(use\\s+Net::IMAP::InterIMAP\\s+)[0-9.]+(\\s|\\$$)/ s//\\1$$VERS\\2/" \
			-- $(srcdir)/interimap $(srcdir)/pullimap && \
		git -C $(srcdir) commit -m "Prepare new release v$$VERS." \
			-- Changelog interimap pullimap lib/Net/IMAP/InterIMAP.pm && \
		git -C $(srcdir) tag -sm "Release version $$VERS" "v$$VERS"

$(HTML_FILES): $(builddir)/doc/%.html: $(srcdir)/doc/%.md $(HTML_TEMPLATE)
	@mkdir -vp $(dir $@)
	mtime="$$(git -C $(srcdir) --no-pager log -1 --pretty="format:%ct" -- "$<" 2>/dev/null)"; \
	[ -n "$$mtime" ] || mtime="$$(date +%s -r "$<")"; \
	pandoc -sp -f markdown -t html+smart --css=$(CSS) --template=$(HTML_TEMPLATE) \
		--variable=date:"$$(LC_TIME=C date +"Last modified on %a, %d %b %Y at %T %z" -d @"$$mtime")" \
		--variable=keywords:"interimap" \
		--variable=lang:"en" \
		--variable=parent:"$(if $(filter $@,$(builddir)/doc/index.html),,./index.html)" \
		--output="$@" -- "$<"

INSTALL ?= install
INSTALL_PROGRAM ?= $(INSTALL)
INSTALL_DATA ?= $(INSTALL) -m0644

install: install-nodoc
	-$(INSTALL_DATA) -vDt $(DESTDIR)$(man1dir) $(builddir)/doc/interimap.1 $(builddir)/doc/pullimap.1
	$(INSTALL_DATA) -vDt $(DESTDIR)$(datarootdir)/doc/pullimap $(srcdir)/pullimap.sample
	$(INSTALL_DATA) -vDt $(DESTDIR)$(datarootdir)/doc/interimap $(srcdir)/interimap.sample \
		$(srcdir)/doc/getting-started.md $(srcdir)/doc/multi-account.md $(srcdir)/README

install-nodoc: all-nodoc
	$(INSTALL_PROGRAM) -vDt $(DESTDIR)$(bindir) $(builddir)/interimap $(builddir)/pullimap
	$(INSTALL_DATA) -vDT $(srcdir)/lib/Net/IMAP/InterIMAP.pm $(DESTDIR)$(sitelib)/Net/IMAP/InterIMAP.pm
	$(INSTALL_DATA) -vDt $(DESTDIR)$(systemd_userunitdir) $(SERVICE_FILES)

uninstall:
	rm -vf -- $(DESTDIR)$(bindir)/interimap $(DESTDIR)$(man1dir)/interimap.1 $(DESTDIR)$(systemd_userunitdir)/interimap*.service
	rm -vf -- $(DESTDIR)$(bindir)/pullimap $(DESTDIR)$(man1dir)/pullimap.1 $(DESTDIR)$(systemd_userunitdir)/pullimap*.service
	rm -vf -- $(DESTDIR)$(sitelib)/Net/IMAP/InterIMAP.pm
	rm -rvf -- $(DESTDIR)$(datarootdir)/doc/interimap $(DESTDIR)$(datarootdir)/doc/pullimap

clean:
	rm -vf -- $(PROGRAMS) $(MANUAL_FILES) $(HTML_FILES) $(SERVICE_FILES)
	rm -vf -- $(srcdir)/tests/certs/*.key $(srcdir)/tests/certs/*.crt $(srcdir)/tests/certs/*.pem
	-rmdir -vp --ignore-fail-on-non-empty -- $(builddir)/doc

.PHONY: all all-nodoc manual html doc release testcerts \
	check check-interimap check-pullimap \
	install install-nodoc \
	installcheck installcheck-interimap installcheck-pullimap \
	uninstall clean

=== debian/changelog ===
interimap (0.5.7-2ubuntu2) noble; urgency=medium

  * Fix the time_t fixes

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 28 Mar 2024 14:49:31 +0100

interimap (0.5.7-2ubuntu1) noble; urgency=medium

  * Fix timeval packing on armhf for 64-bit time_t (LP: #2059120)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 26 Mar 2024 13:20:24 +0100

interimap (0.5.7-2) unstable; urgency=medium

  * DEP-8: Name inline tests.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Salsa CI: Include recipes/debian.yml.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 25 Jan 2023 02:35:21 +0100

interimap (0.5.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:04:02 +0200

interimap (0.5.7-1) unstable; urgency=low

  * New upstream release.
  * Set field Upstream-Name in debian/copyright.
  * Update standards version to 4.6.0, no changes needed.
  * d/control: Update and improve long descriptions, adding reference to
    alternative software.
  * Update d/u/signing-key.asc.
  * d/watch: Use substitution strings.
  * d/rules: Adapt to upstream's Makefile refactoring.
  * d/control, d/rules: Honor 'nodoc' profile.  In particular, exclude 'jq'
    and 'pandoc' from Build-Depends under that profile.
  * Update d/patches.
  * d/patches: Don't exclude non-IDLE'ing pullimap tests.
  * d/rules: Pass --no-parallel flag to dh_auto_test.
  * Update copyright years.
  * Add DEP-8 tests for 'interimap' and 'pullimap' binary packages.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 27 Feb 2022 16:58:18 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: debhelper-compat (= 13),
                dovecot-imapd (>= 1:2.3~) <!nocheck>,
                dovecot-lmtpd (>= 1:2~) <!nocheck>,
-               jq,
+               jq <!nodoc>,
                libconfig-tiny-perl <!nocheck>,
                libdbd-sqlite3-perl <!nocheck>,
                libnet-ssleay-perl (>= 1.88~) <!nocheck>,
                openssl (>= 1.1.1~) <!nocheck>,
-               pandoc (>= 2.1~),
+               pandoc (>= 2.1~) <!nodoc>,
                procps <!nocheck>,
                sqlite3 <!nocheck>,
                xxd <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://guilhem.org/interimap
 Vcs-Git: https://salsa.debian.org/debian/interimap.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/debian/interimap
@@ -30,9 +30,9 @@
 Suggests: dovecot-imapd (>= 1:2~)
 Description: Fast bidirectional synchronization for QRESYNC-capable IMAP servers
  InterIMAP performs stateful bi-directional synchronization between two
- IMAP4rev1 servers.  Compared to the so-called "full" synchronization
- solutions, InterIMAP is both much faster and parsimonious in network
- traffic.
+ IMAP4rev1 servers.  Compared to alternatives such as OfflineIMAP, InterIMAP
+ trades flexibility and IMAPd compatibility for performance; it is both *much*
+ faster and parsimonious in network traffic.
  .
  Stateful synchronization is made possible by the QRESYNC extension from
  [RFC7162]; for convenience reasons servers must also support LIST-EXTENDED
@@ -44,26 +44,30 @@
  thus strongly recommended to use a server supporting these.
  .
  InterIMAP supports the COMPRESS=DEFLATE extension from [RFC4978].  It is
- enabled by default on remote servers advertising it, in order to reduce
- network traffic, especially for long-lived connections.
+ enabled by default on remote servers advertising it in order to reduce network
+ traffic, especially for long-lived connections.
 
 Package: pullimap
 Architecture: all
 Depends: libinterimap (= ${binary:Version}), ${misc:Depends}, ${perl:Depends}
 Description: Pull mails from an IMAP mailbox and deliver them via SMTP or LMTP
  PullIMAP retrieves messages from an IMAP mailbox and deliver them to an
- SMTP or LMTP transmission channel.  It can also remove old messages after
- a configurable retention period.
+ SMTP or LMTP transmission channel.  Compared to alternatives such as fetchmail
+ or getmail, PullIMAP trades flexibility and IMAPd compatibility for
+ performance.
  .
  A statefile is used to keep track of the mailbox's UIDVALIDITY and UIDNEXT
  values.  While PullIMAP is running, the statefile is also used to keep
- track of UIDs being delivered, which avoids duplicate deliveries if the
+ track of UIDs being delivered, which avoids duplicate deliveries in case the
  process is interrupted.
  .
  PullIMAP supports the COMPRESS=DEFLATE extension from [RFC4978].  It is
- enabled by default on servers advertising it, in order to reduce network
+ enabled by default on servers advertising it in order to reduce network
  traffic, especially for long-lived connections (when IDLE commands are
  enabled.)
+ .
+ An optional retention period can be set to automatically remove old messages
+ from the IMAP server.
 
 Package: libinterimap
 Architecture: all

=== debian/tests/control ===
Features: test-name=installcheck-interimap
Test-Command: make installcheck-interimap bindir="/usr/bin"
Restrictions: rw-build-tree
Depends: dovecot-imapd, interimap, openssl, procps, sqlite3, xxd

Features: test-name=installcheck-pullimap
Test-Command: make installcheck-pullimap bindir="/usr/bin"
Restrictions: rw-build-tree
Depends: dovecot-imapd, dovecot-lmtpd, openssl, pullimap, xxd

## interimap 0.5.8

=== Makefile ===
--- 
+++ 
@@ -26,18 +26,18 @@
 html: $(HTML_FILES)
 
 $(PROGRAMS): $(builddir)/%: $(srcdir)/%
-	@mkdir -vp $(dir $@)
+	@mkdir -vp -- $(@D)
 	perl -Te "print \"\$$_\\0\" foreach @INC;" | grep -Fxzq -e "$(sitelib)" && prefix="#" || prefix=""; \
 	sed -r "0,/^(use\\s+\lib\\s+)([\"'])[^\"']*\\2\\s*;/ s||$$prefix\\1\"$(sitelib)\";|" <"$<" >"$@"
 	chmod --reference="$<" -- "$@"
 
 # upper case the headers and remove the links
 $(MANUAL_FILES): $(builddir)/doc/%: $(srcdir)/doc/%.md
-	@mkdir -vp $(dir $@)
+	@mkdir -vp -- $(@D)
 	pandoc -f markdown -t json -- "$<" | $(srcdir)/pandoc2man.jq | pandoc -s -f json -t man -o "$@"
 
 $(SERVICE_FILES): $(builddir)/%.service: $(srcdir)/%.service
-	@mkdir -vp $(dir $@)
+	@mkdir -vp -- $(@D)
 	sed "s|@bindir@|$(bindir)|" <"$<" >"$@"
 
 testcerts:
@@ -74,7 +74,7 @@
 		git -C $(srcdir) tag -sm "Release version $$VERS" "v$$VERS"
 
 $(HTML_FILES): $(builddir)/doc/%.html: $(srcdir)/doc/%.md $(HTML_TEMPLATE)
-	@mkdir -vp $(dir $@)
+	@mkdir -vp -- $(@D)
 	mtime="$$(git -C $(srcdir) --no-pager log -1 --pretty="format:%ct" -- "$<" 2>/dev/null)"; \
 	[ -n "$$mtime" ] || mtime="$$(date +%s -r "$<")"; \
 	pandoc -sp -f markdown -t html+smart --css=$(CSS) --template=$(HTML_TEMPLATE) \

=== debian/changelog ===
interimap (0.5.8-2) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * d/patches: Add patch to use "openssl rehash" instead of c_rehash in tests.
    (Closes: #1117508)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 07 Oct 2025 19:25:28 +0200

interimap (0.5.8-1) unstable; urgency=medium

  * New upstream release.
  * Refresh d/patches and drop those applied upstream.
  * d/control, d/tests: Bump minimum dovecot-* version to 1:2.4~.  Dovecot 2.4
    uses different configuration settings and that's what is targeted in the
    testsuite of interimap ≥5.0.8.
  * Update Standards-Version to 4.7.2.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 26 Apr 2025 18:34:23 +0200

interimap (0.5.7-4) unstable; urgency=medium

  * d/rules: Export variables instead of setting them through $MAKEFLAGS as
    the latter doesn't work anymore as of GNU Make 4.4.1. (Closes: #1089264)
  * d/*.install: Replace hardcoded prefix and sitelib with ${env:…}.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 20 Dec 2024 15:34:50 +0100

interimap (0.5.7-3) unstable; urgency=medium

  * d/patches:
    + Add upstream patch to generate X.509 version 3 CA prior to running the
      test suite. (Closes: #1065529)
    + Add patch from Simon Chopin to fix struct flock & timeval packing on
      armhf. (Closes: #1067763, LP: #2059120)
  * Update Standards-Version to 4.7.0 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 04 May 2024 14:41:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: interimap
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guilhem Moulin <guilhem@debian.org>
+Maintainer: Guilhem Moulin <guilhem@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dovecot-imapd (>= 1:2.3~) <!nocheck>,
-               dovecot-lmtpd (>= 1:2~) <!nocheck>,
+               dovecot-imapd (>= 1:2.4~) <!nocheck>,
+               dovecot-lmtpd (>= 1:2.4~) <!nocheck>,
                jq <!nodoc>,
                libconfig-tiny-perl <!nocheck>,
                libdbd-sqlite3-perl <!nocheck>,
@@ -16,7 +15,7 @@
                sqlite3 <!nocheck>,
                xxd <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://guilhem.org/interimap
 Vcs-Git: https://salsa.debian.org/debian/interimap.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/debian/interimap

=== debian/rules ===
#!/usr/bin/make -f

export prefix=/usr
export sitelib=$(prefix)/share/perl5

%:
	dh $@

ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	dh_auto_build -- all-nodoc
endif

override_dh_auto_test:
	# /dev/shm, the default, might be mounted with noexec
	dh_auto_test --no-parallel -- TMPDIR=/var/tmp

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
  https://git.guilhem.org/interimap.git \
  refs/tags/v?@ANY_VERSION@
